Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class Grant

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.Grant

All Implemented Interfaces:
  java.lang.Comparable, XMLSerializable

public class Grant
extends java.lang.Object
implements java.lang.Comparable, XMLSerializable

Grant
Cette classe définit le comportement d'un droit
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.1 $
Author:
  Mathieu Larchet

Constructor Summary
`Grant()` Constructeur

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare deux entités suivant leur nom ou leur identifiant Implements Comparable interface
`java.lang.String` | `getFolderid()` Retourne l'identifiant du dossier
`Entity` | `getGranted()` Retourne l'entité
`int` | `getLevel()` Retourne le type de droit
`boolean` | `isExtended()` Si le droit est hérité
`boolean` | `isNotification()` Si la notification est activée
`void` | `setExtended(boolean extended)` Positionne l'héritage
`void` | `setFolderid(java.lang.String folderid)` Positionne l'identifiant du dossier
`void` | `setGranted(Entity granted)` Positionne l'entité
`void` | `setLevel(int level)` Positionne le type de droit
`void` | `setNotification(boolean notification)` Positionne la notification
`java.lang.String` | `toXMLString()` La représentation XML de cet objet Implements XMLSerializable interface

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Grant

    public Grant()

  Constructeur

Method Detail

### getFolderid

    public java.lang.String getFolderid()

  Retourne l'identifiant du dossier

  Returns:
    folderid L'identifiant du dossier

### setFolderid

    public void setFolderid(java.lang.String folderid)

  Positionne l'identifiant du dossier

  Parameters:
    `folderid` - L'identifiant du dossier

### getLevel

    public int getLevel()

  Retourne le type de droit

  Returns:
    level Le type

### setLevel

    public void setLevel(int level)

  Positionne le type de droit

  Parameters:
    `level` - le type

### getGranted

    public Entity getGranted()

  Retourne l'entité

  Returns:
    granted L'entité

### setGranted

    public void setGranted(Entity granted)

  Positionne l'entité

  Parameters:
    `granted` - l'entité

### isExtended

    public boolean isExtended()

  Si le droit est hérité

  Returns:
    extended true | false

### setExtended

    public void setExtended(boolean extended)

  Positionne l'héritage

  Parameters:
    `extended` - l'héritage

### isNotification

    public boolean isNotification()

  Si la notification est activée

  Returns:
    notification true | false

### setNotification

    public void setNotification(boolean notification)

  Positionne la notification

  Parameters:
    `notification` - La notification

### compareTo

    public int compareTo(java.lang.Object o)

  Compare deux entités suivant leur nom ou leur identifiant Implements Comparable interface

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - Objet à comparer

### toXMLString

    public java.lang.String toXMLString()

  La représentation XML de cet objet Implements XMLSerializable interface

  Specified by:
    `toXMLString` in interface `XMLSerializable`
  Returns:
    Le flux XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD